import { Element } from '../../../../../client/element';
import { System } from '../../../../../system';
import { Dict } from '../../../../../types/Dict';
import { $MS } from '../../../../../types/interface/async/$MS';
export interface Props {
    className?: string;
    style?: Dict<string>;
    src?: string;
    stream?: $MS;
    autoplay?: boolean;
    controls?: boolean;
}
export declare const DEFAULT_STYLE: {
    height: string;
    width: string;
    boxSizing: string;
    display: string;
};
export default class VideoComp extends Element<HTMLVideoElement, Props> {
    private prop_handler;
    constructor($props: Props, $system: System);
    onPropChanged(prop: string, current: any): void;
    captureStream({ frameRate, }: {
        frameRate: number;
    }): Promise<MediaStream>;
    requestPictureInPicture(): Promise<any>;
    play(): void;
    pause(): void;
}
